local _, addon = ...

-- functions
local format = string.format
-- constants
-- frames
-- libs
local LibStub = LibStub

addon.EVENT_BAG_SCAN_STARTED = "BAG_SCAN_STARTED"
addon.EVENT_BAG_SCAN_FINISHED = "BAG_SCAN_FINISHED"
addon.EVENT_CHARACTER_ADDED = "CHARACTER_ADDED"
addon.EVENT_CHARACTER_CHANGED = "CHARACTER_CHANGED"
addon.EVENT_CHARACTER_REMOVED = "CHARACTER_REMOVED"
addon.EVENT_GUILD_INFO_CHANGED = "GUILD_INFO_CHANGED"
addon.EVENT_PLAYER_INFO_CHANGED = "PLAYER_INFO_CHANGED"

addon.EVENT_INITIALISED = "INITIALISED"

addon.callbacks = addon.callbacks or LibStub("CallbackHandler-1.0"):New(addon)
function addon:Fire(event, ...)
    self:Print(format("Event: `%s`", event))
    return self.callbacks:Fire(event, ...)
end
