local addonName, addon = ...

-- functions
local CreateFrame = CreateFrame
-- constants
-- frames
-- libs

do
    local f = CreateFrame("frame")
    f:SetScript("OnEvent", function(_, _, ...)
        if (addonName ~= ...) then
            return
        end

        if not Broker_Keystones_Data then
            Broker_Keystones_Data = {}
        end

        addon:Initialise(Broker_Keystones_Data)
        f:UnregisterEvent("ADDED_LOADED")
    end)
    f:RegisterEvent("ADDON_LOADED")
end
